cURL
curl --request PUT \
--url https://api.comm.com/api/v1/voice/numbers/{number} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inbound_agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"disallowed_countries": [
123
],
"sip_domain": "<string>",
"sip_username": "<string>",
"sip_password": "<string>",
"sip_byoc_token": "",
"sip_port": 5060,
"sip_transport": "udp",
"twilio_sip_domain": "<string>",
"byoc_trunk_sid": "<string>"
}
'import requests
url = "https://api.comm.com/api/v1/voice/numbers/{number}"
payload = {
"inbound_agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"disallowed_countries": [123],
"sip_domain": "<string>",
"sip_username": "<string>",
"sip_password": "<string>",
"sip_byoc_token": "",
"sip_port": 5060,
"sip_transport": "udp",
"twilio_sip_domain": "<string>",
"byoc_trunk_sid": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
inbound_agent_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
disallowed_countries: [123],
sip_domain: '<string>',
sip_username: '<string>',
sip_password: '<string>',
sip_byoc_token: '',
sip_port: 5060,
sip_transport: 'udp',
twilio_sip_domain: '<string>',
byoc_trunk_sid: '<string>'
})
};
fetch('https://api.comm.com/api/v1/voice/numbers/{number}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"number": 123,
"voice_account_id": "<string>",
"inbound_agent_id": "<string>",
"sip_config": "<string>",
"disallowed_countries": "<string>",
"team_id": "<string>",
"voice_provider": "<string>",
"voice_provider_id": "<string>",
"last_used_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Number
Put v1voicenumbers
PUT
/
v1
/
voice
/
numbers
/
{number}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The number ID
Body
application/json
'voice_account_id' => 'required|uuid',
Response
NumberResource
Show child attributes
Show child attributes
⌘I